[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.ImportedConstraint

Constraint for the field value on the level of the underlying database

## Declaration

Source position: db.pas line 433

`published property TField.ImportedConstraint : string read FImportedConstraint write FImportedConstraint;`

## Description

ImportedConstraint contains any constraints that the underlying data engine imposes on the values of a field (usually in an SQL CONSTRAINT) clause. Whether this field is filled with appropriate data depends on the implementation of the TDataset descendent.

## See also

TField.CustomConstraint |  | Custom constraint for the field's value
TDataset |  | Base class for records-based data-access
TField.ConstraintErrorMessage |  | Message to display if the CustomConstraint constraint is violated.

Documentation generated on: Feb 26 2014